ENV(1)

NAVN
env - run a program in a modified environment

OVERSIKT
env [VALG]... [-] [NAVN=VERDI]... [KOMMANDO [ARG]...]

BESKRIVELSE

Gi en VERDI til hvert NAVN i mijøet, og kjør KOMMANDO.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

-i, --ignore-environment
    Start med et tomt miljø.

-0, --null
    Separat utskrift med NUL i stedet for ny linje.

-u, --unset=NAVN
    Fjern NAVNgitt variabel fra miljøet.

-C, --chdir=MAPPE
    Bytt arbeidsmappe til valgt MAPPE.

-S, --split-string=S
    Behandle og del opp S i enkeltargumenter. Dette brukes til å oppgi flere argumenter på «shebang»-linjer.

--block-signal[=SIG]
    Blokklevering av SIGnal(er) til valgt KOMMANDO.

--default-signal[=SIG]
    Tilbakestill behandling av SIGnal(er) til forvalg.

--ignore-signal[=SIG]
    Ikke bruk SIGnal(er) til noe.

--list-signal-handling
    Skriv ut ikke-forvalgte signalbehandlingsvalg til standardfeil.

-v, --debug
    Skriv ut detaljert info for hvert behandlingssteg.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

En ren «-» betyr implisitt -i. Hvis ingen KOMMANDO er valgt, skrives gjeldende miljø ut.

SIGNAL kan være et signanavn, som f.eks. «PIPE», eller et signalnummer, som f.eks. «13». Uten valg av SIGNAL blir alle kjente signaler tatt med. Bruk komma for å velge og skille flere signaler.

VALG

  -S/--split-string usage in scripts
The -S option allows specifying multiple parameters in a script. Running a script named 1.pl containing the following first line:

    #!/usr/bin/env -S perl -w -T
    ...

Will execute perl -w -T 1.pl .

Without the '-S' parameter the script will likely fail with:

    /usr/bin/env: 'perl -w -T': Ingen slik fil eller filkatalog

See the full documentation for more details.

  --default-signal[=SIG] usage
This option allows setting a signal handler to its default action, which is not possible using the traditional shell trap command. The following example ensures that seq will be terminated by SIGPIPE no matter how this signal is being handled in the process invoking the command.

    sh -c 'env --default-signal=PIPE seq inf | head -n1'

NOTES
POSIX's exec(2) pages says:
    "many existing applications wrongly assume that they start with certain signals set to the default action and/or unblocked.... Therefore, it is best not to block or ignore signals across execs without explicit reason to do so, and especially not to block signals across execs of arbitrary (not closely cooperating) programs."

OPPHAVSMANN
Skrevet av Richard Mlynarik, David MacKenzie og Assaf Gordon.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2020 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
sigaction(2), sigprocmask(2), signal(7)

Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/env>
eller lokalt: info '(coreutils) env invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.